<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingHorizontal="16.7dp">

    <ImageView
        android:id="@+id/iv_profile"
        android:layout_width="46.7dp"
        android:layout_height="46.7dp"
        android:contentDescription="@null"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_nickname"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:ellipsize="end"
        android:fontFamily="@font/gmarket_sans_medium"
        android:gravity="center_vertical|start"
        android:maxLines="2"
        android:textColor="@color/color_eeeeee"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@+id/iv_profile"
        app:layout_constraintEnd_toStartOf="@+id/ll_control_buttons"
        app:layout_constraintStart_toEndOf="@+id/iv_profile"
        app:layout_constraintTop_toTopOf="@+id/iv_profile"
        tools:text="란월" />

    <LinearLayout
        android:id="@+id/ll_control_buttons"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center_vertical|end"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@+id/iv_profile"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/iv_profile">

        <TextView
            android:id="@+id/tv_change_audience"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_round_corner_6_7_9970ff"
            android:fontFamily="@font/gmarket_sans_medium"
            android:paddingHorizontal="5.5dp"
            android:paddingVertical="12dp"
            android:text="리스너로 변경"
            android:textColor="@color/white"
            android:textSize="10sp"
            android:visibility="gone"
            tools:ignore="SmallSp" />

        <TextView
            android:id="@+id/tv_invite_speaker"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_round_corner_6_7_339970ff_9970ff"
            android:fontFamily="@font/gmarket_sans_medium"
            android:paddingHorizontal="5.5dp"
            android:paddingVertical="12dp"
            android:text="스피커로 초대"
            android:textColor="@color/white"
            android:textSize="10sp"
            android:visibility="gone"
            tools:ignore="SmallSp" />

        <TextView
            android:id="@+id/tv_no_chatting"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:background="@drawable/bg_round_corner_6_7_339970ff_9970ff"
            android:fontFamily="@font/gmarket_sans_medium"
            android:paddingHorizontal="5.5dp"
            android:paddingVertical="12dp"
            android:text="채금"
            android:textColor="@color/white"
            android:textSize="10sp"
            android:visibility="gone"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/iv_kick_out"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:contentDescription="@null"
            android:src="@drawable/ic_kick_out" />
    </LinearLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginVertical="10dp"
        android:background="@color/color_26909090"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_profile" />

</androidx.constraintlayout.widget.ConstraintLayout>
